<template>
  <v-row no-gutters>
    <v-col class="ma-5">
      <title-zone class="mb-10" title="Centros de distribución">
        <new-center-btn />
      </title-zone>
      <centers-table />
    </v-col>
  </v-row>
</template>

<script>
import { mapActions } from 'vuex';
import TitleZone from '~/components/Common/Page/TitleZone';
import CentersTable from '~/components/Company/Centers/CentersTable';
import NewCenterBtn from '~/components/Company/Centers/NewCenterBtn';

export default {
  name: 'Centros',
  components: {
    TitleZone,
    CentersTable,
    NewCenterBtn,
  },
  head: {
    title: 'Centros',
  },
  created() {
    this.setPage({ currentPage: 'centers' });
  },
  methods: {
    ...mapActions({
      setPage: 'route/pages/setCurrentPage',
    }),
  },
};
</script>
